#1065 closed defect (fixed)

exim_mailstats doesn't count Completed messages properly

Reported by: pinterface Owned by: nobody
Priority: normal Milestone: Munin 2.0.15
Component: plugins Version: 1.4.5
Severity: normal Keywords:
Cc:

Description

Depending upon the value of log_selector in exim.conf, exim_mailstats can fail to count completed messages.

In particular, inclusion of queue_time_overall results in a log line such as:

2011-04-08 21:21:27 [11478] 1Q8J7K-0002z6-NZ Completed QT=5s

Without queue_time_overall, the log line looks more like:

2011-04-08 21:21:27 [11478] 1Q8J7K-0002z6-NZ Completed

Bug was inverted in r3356 (Debian bug 569621). Fixed one scenario, broke the other. :)

Attachments (1)

exim_mailstats.in.patch (340 bytes) - added by pinterface at 2011-04-09T00:50:40+02:00.
patch

Download all attachments as: .zip

Change History (2)

Changed at 2011-04-09T00:50:40+02:00 by pinterface

patch

comment:1 Changed at 2013-06-04T10:48:09+02:00 by snide

  • Milestone changed from Munin 1.4.7 to Munin 2.0.15
  • Resolution set to fixed
  • Status changed from new to closed

Fixed in 4a0e48cb101754a8eb0d9d7478a680b3914772cd.

Sorry pinterface, i credited Mrten for it as I was a little too quick applying to fix.

Note: See TracTickets for help on using tickets.